=== modified file 'drizzled/field/date.cc'
--- drizzled/field/date.cc	2008-07-31 18:25:59 +0000
+++ drizzled/field/date.cc	2008-07-31 18:46:21 +0000
@@ -57,7 +57,7 @@
   DRIZZLE_TIME l_time;
   int error;
   THD *thd= table ? table->in_use : current_thd;
-  enum enum_mysql_timestamp_type ret;
+  enum enum_drizzle_timestamp_type ret;
   if ((ret= str_to_datetime(from, len, &l_time,
                             (TIME_FUZZY_DATE |
                              (thd->variables.sql_mode &

=== modified file 'drizzled/field/datetime.cc'
--- drizzled/field/datetime.cc	2008-07-31 18:25:59 +0000
+++ drizzled/field/datetime.cc	2008-07-31 18:46:21 +0000
@@ -38,7 +38,7 @@
   DRIZZLE_TIME time_tmp;
   int error;
   uint64_t tmp= 0;
-  enum enum_mysql_timestamp_type func_res;
+  enum enum_drizzle_timestamp_type func_res;
   THD *thd= table ? table->in_use : current_thd;
 
   func_res= str_to_datetime(from, len, &time_tmp,

=== modified file 'drizzled/item_cmpfunc.cc'
--- drizzled/item_cmpfunc.cc	2008-07-31 18:25:59 +0000
+++ drizzled/item_cmpfunc.cc	2008-07-31 18:46:21 +0000
@@ -651,7 +651,7 @@
   uint64_t value= 0;
   int error;
   DRIZZLE_TIME l_time;
-  enum_mysql_timestamp_type ret;
+  enum_drizzle_timestamp_type ret;
 
   ret= str_to_datetime(str->ptr(), str->length(), &l_time,
                        (TIME_FUZZY_DATE | MODE_INVALID_DATES |

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2008-07-31 18:25:59 +0000
+++ drizzled/sql_table.cc	2008-07-31 18:46:21 +0000
@@ -5137,7 +5137,7 @@
   if (alter_info->error_if_not_empty && thd->row_count)
   {
     const char *f_val= 0;
-    enum enum_mysql_timestamp_type t_type= DRIZZLE_TIMESTAMP_DATE;
+    enum enum_drizzle_timestamp_type t_type= DRIZZLE_TIMESTAMP_DATE;
     switch (alter_info->datetime_field->sql_type)
     {
       case DRIZZLE_TYPE_NEWDATE:

=== modified file 'drizzled/structs.h'
--- drizzled/structs.h	2008-07-31 18:25:59 +0000
+++ drizzled/structs.h	2008-07-31 18:46:21 +0000
@@ -135,7 +135,7 @@
   new names to keep existing code simple.
 */
 
-typedef enum enum_mysql_timestamp_type timestamp_type;
+typedef enum enum_drizzle_timestamp_type timestamp_type;
 
 
 typedef struct {

=== modified file 'libdrizzle/my_time.c'
--- libdrizzle/my_time.c	2008-07-31 18:25:59 +0000
+++ libdrizzle/my_time.c	2008-07-31 18:46:21 +0000
@@ -156,7 +156,7 @@
 
 #define MAX_DATE_PARTS 8
 
-enum enum_mysql_timestamp_type
+enum enum_drizzle_timestamp_type
 str_to_datetime(const char *str, uint length, DRIZZLE_TIME *l_time,
                 uint flags, int *was_cut)
 {
@@ -494,7 +494,7 @@
   if (length >= 12)
   {                                             /* Probably full timestamp */
     int was_cut;
-    enum enum_mysql_timestamp_type
+    enum enum_drizzle_timestamp_type
       res= str_to_datetime(str, length, l_time,
                            (TIME_FUZZY_DATE | TIME_DATETIME_ONLY), &was_cut);
     if ((int) res >= (int) DRIZZLE_TIMESTAMP_ERROR)
@@ -982,7 +982,7 @@
 
 /* Set DRIZZLE_TIME structure to 0000-00-00 00:00:00.000000 */
 
-void set_zero_time(DRIZZLE_TIME *tm, enum enum_mysql_timestamp_type time_type)
+void set_zero_time(DRIZZLE_TIME *tm, enum enum_drizzle_timestamp_type time_type)
 {
   memset((void*) tm, 0, sizeof(*tm));
   tm->time_type= time_type;

